package ${basePackage}.config;

import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import xyz.wbsite.frame.cache.TokenCacheManager;

@Configuration
@EnableCaching
public class CacheConfig {

    @Bean(name = "tokenCacheManager")
    public TokenCacheManager tokenCacheManager() {
        return new TokenCacheManager();
    }
}
