package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseRequest;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotEmpty;
import org.hibernate.validator.constraints.Length;

/**
 * UserRoleCreateRequest - 用户角色授权新增
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class UserRoleCreateRequest extends BaseRequest {

    /**
     * 用户主键
     */
    @NotNull(message = "[userId]用户主键不能为NULL")
    private Long userId;

    /**
     * 角色主键
     */
    @NotNull(message = "[roleId]角色主键不能为NULL")
    private Long roleId;

    public Long getUserId() {
        return this.userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getRoleId() {
        return this.roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }
}
